#!/usr/bin/env python
#
# grib_checker.py checks Checks whatever you want to check in your life
#
# AUTHOR: BSC-CNS I. CERNICHARO
#

import sys
import numpy as np
from eccodes import GribFile

import data_checks

class grib_content:
    
    def __init__(self,filename):
        self.name = filename
        self.grib_content = GribFile(self.name)

    def print_num_keys(self):
        return self.name+" has "+self.grib_content.message+" messages"

    def check_data_coords(self):
        coords_log = list()
        data_log = list()
        indexes = list()

        for i,msg in enumerate(self.grib_content):
            coords_log.append(data_checks.check_coords(msg))
            data_log.append(data_checks.check_data_values(msg))
            indexes.append(i)
        
        err_coords = coords_log.count("ERROR")
        err_data = data_log.count("ERROR")

        if err_coords != 0:
            return chr(27)+"[1;31m"+"\nOne or more messages have incorrect\
                 data or missing keys\n"+chr(27)+"[0m"
        else:
            return chr(27)+"[1;32m"+"\nEverythin OK with coordinates\n"\
                +chr(27)+"[0m"

        if err_data != 0:
            return chr(27)+"[1;31m"+"\nOne or more messages have incorrect\
                 data or missing keys\n"+chr(27)+"[0m"
        else:
            return chr(27)+"[1;32m"+"\nEverythin OK with data values\n"\
                +chr(27)+"[0m"

        # STILL WORKING ON THIS, and YES, I AM YELLING

if __name__ == "__main__":
    sys.exit()
